# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.Unmodifiable

Packages that use Unmodifiable
Package
Description
net.shibboleth.shared.cli
Command line functionality.
net.shibboleth.shared.codec
A set of helper functions for encoding/decoding data to/from different formats.
net.shibboleth.shared.collection
Additional implementations of, and helpers for working with, collections.
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.servlet
Java servlet specification APIs.
net.shibboleth.shared.servlet.impl
Java Servlet specification implementation classes.
net.shibboleth.shared.spring.context
Spring application context classes.
net.shibboleth.shared.spring.factory
Spring factory beans.
net.shibboleth.shared.spring.util
Supporting classes for using Spring.
net.shibboleth.shared.xml
APIs for parsing and using XML.
net.shibboleth.shared.xml.impl
XML implementation classes.

## Uses of Unmodifiable in net.shibboleth.shared.cli

Methods in net.shibboleth.shared.cli with annotations of type Unmodifiable
Modifier and Type
Method
Description
`protected List<Resource>`
AbstractCommandLine.`getAdditionalSpringResources()`
Return any additional resources that should be prepended to that supplied by the caller.
`List<Locale.LanguageRange>`
AbstractCommandLineArguments.`getLanguageRanges()`
Get the specified RFC4647 language ranges.
`List<String>`
AbstractCommandLineArguments.`getOtherArgs()`
Get unparsed arguments.
`List<String>`
CommandLineArguments.`getOtherArgs()`
Get unparsed arguments.
`List<String>`
AbstractCommandLineArguments.`getPropertyFiles()`
Get list of property filenames to load.
`List<String>`
CommandLineArguments.`getPropertyFiles()`
Get list of property filenames to load.

## Uses of Unmodifiable in net.shibboleth.shared.codec

Fields in net.shibboleth.shared.codec with annotations of type Unmodifiable
Modifier and Type
Field
Description
`private static final Map<Character,String>`
HTMLEncoder.`CHARACTER_TO_ENTITY_MAP`
Map from entity character to name.
Methods in net.shibboleth.shared.codec with annotations of type Unmodifiable
Modifier and Type
Method
Description
`private static Map<Character,String>`
HTMLEncoder.`mkCharacterToEntityMap()`
Build an unmodifiable map from entity character to name.

## Uses of Unmodifiable in net.shibboleth.shared.collection

Methods in net.shibboleth.shared.collection with annotations of type Unmodifiable
Modifier and Type
Method
Description
`static <T> List<T>`
CollectionSupport.`arrayAsList(T... a)`
Creates a mutable List from an array.
`static <T> List<T>`
CollectionSupport.`copyToList(Collection<? extends T> coll)`
Copies a collection to a list with non-null guarantee.
`static <U, T> Map<U,T>`
CollectionSupport.`copyToMap(Map<? extends U,? extends T> map)`
Copies a map to a map with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`copyToSet(Collection<? extends T> coll)`
Copies a collection to a set with non-null guarantee.
`static <T> List<T>`
CollectionSupport.`emptyList()`
Gets an empty list with non-null guarantee.
`static <T, U> Map<T,U>`
CollectionSupport.`emptyMap()`
Gets an empty map with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`emptySet()`
Gets an empty set with non-null guarantee.
`<T> List<T>`
ClassToInstanceMultiMap.`get(Class<T> type)`
Gets the instances mapped to the given type or an empty list.
`<T> List<T>`
LockableClassToInstanceMultiMap.`getWithLock(Class<T> type)`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.
`Set<Class<?>>`
ClassToInstanceMultiMap.`keys()`
Gets the set of keys contained in this map.
`Set<Class<?>>`
LockableClassToInstanceMultiMap.`keysWithLock()`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.
`static <T> List<T>`
CollectionSupport.`listOf()`
Gets a zero member list with non-null guarantee.
`static <T> List<T>`
CollectionSupport.`listOf(T first)`
Gets a one member list with non-null guarantee.
`static <T> List<T>`
CollectionSupport.`listOf(T... elements)`
Gets a list with non-null guarantee and a variable number of members.
`static <T> List<T>`
CollectionSupport.`listOf(T first, T second)`
Gets a two member list with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`setOf()`
Gets a zero member set with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`setOf(T first)`
Gets a one member set with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`setOf(T... elements)`
Gets a set with non-null guarantee and a variable number of members.
`static <T> Set<T>`
CollectionSupport.`setOf(T first, T second)`
Gets a two member set with non-null guarantee.
`static <T> Set<T>`
CollectionSupport.`singleton(T item)`
Gets a singleton set with non-null guarantee.
`static <T> List<T>`
CollectionSupport.`singletonList(T item)`
Gets a singleton list with non-null guarantee.
`static <T, U> Map<T,U>`
CollectionSupport.`singletonMap(T key, U value)`
Gets a singleton map with non-null guarantee.
`Collection<? extends B>`
ClassToInstanceMultiMap.`values()`
The collection of values currently present in the map.
`Collection<? extends B>`
LockableClassToInstanceMultiMap.`valuesWithLock()`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.

## Uses of Unmodifiable in net.shibboleth.shared.httpclient

Fields in net.shibboleth.shared.httpclient with annotations of type Unmodifiable
Modifier and Type
Field
Description
`private List<org.apache.hc.core5.http.HttpRequestInterceptor>`
HttpClientBuilder.`requestInterceptorsFirst`
List of request interceptors to add first.
`private List<org.apache.hc.core5.http.HttpRequestInterceptor>`
HttpClientBuilder.`requestInterceptorsLast`
List of request interceptors to add last.
`private List<org.apache.hc.core5.http.HttpResponseInterceptor>`
HttpClientBuilder.`responseInterceptorsFirst`
List of response interceptors to add first.
`private List<org.apache.hc.core5.http.HttpResponseInterceptor>`
HttpClientBuilder.`responseInterceptorsLast`
List of response interceptors to add last.
`private List<HttpClientContextHandler>`
HttpClientBuilder.`staticContextHandlers`
List of static context handlers.
Methods in net.shibboleth.shared.httpclient with annotations of type Unmodifiable
Modifier and Type
Method
Description
`List<org.apache.hc.core5.http.HttpRequestInterceptor>`
HttpClientBuilder.`getFirstRequestInterceptors()`
Get the list of request interceptors to add first.
`List<org.apache.hc.core5.http.HttpResponseInterceptor>`
HttpClientBuilder.`getFirstResponseInterceptors()`
Get the list of response interceptors to add first.
`List<org.apache.hc.core5.http.HttpRequestInterceptor>`
HttpClientBuilder.`getLastRequestInterceptors()`
Get the list of request interceptors to add last.
`List<org.apache.hc.core5.http.HttpResponseInterceptor>`
HttpClientBuilder.`getLastResponseInterceptors()`
Get the list of response interceptors to add last.
`List<HttpClientContextHandler>`
HttpClientBuilder.`getStaticContextHandlers()`
Get the list of static `HttpClientContextHandler`.

## Uses of Unmodifiable in net.shibboleth.shared.net

Methods in net.shibboleth.shared.net with annotations of type Unmodifiable
Modifier and Type
Method
Description
`static Map<String,String>`
URISupport.`buildQueryMap(List<Pair<String,String>> parameters)`
Builds a map from a collection of parameters.
`static Map<String,List<String>>`
URISupport.`buildQueryMultiMap(List<Pair<String,String>> parameters)`
Builds a map from a collection of parameters.
`Map<String,String>`
CookieManager.`getCookieAttributes()`
Gets additional attributes to apply to the cookie.

## Uses of Unmodifiable in net.shibboleth.shared.servlet

Methods in net.shibboleth.shared.servlet with annotations of type Unmodifiable
Modifier and Type
Method
Description
`static List<Locale.LanguageRange>`
HttpServletSupport.`getLanguageRange(HttpServletRequest request)`
Return the `Locale.LanguageRange` associated with this request.

## Uses of Unmodifiable in net.shibboleth.shared.servlet.impl

Methods in net.shibboleth.shared.servlet.impl with annotations of type Unmodifiable
Modifier and Type
Method
Description
`Set<String>`
BasicHttpServletRequestContentTypeValidator.`getAllowedContentTypes()`
Get the allowed types.
`Set<String>`
BasicHttpServletRequestMethodValidator.`getAllowedMethods()`
Get the allowed methods.
`Set<String>`
BasicHttpServletRequestParametersValidator.`getAllowedParameters()`
Get the allowed parameters.
`Set<Set<String>>`
BasicHttpServletRequestParametersValidator.`getMutuallyExclusiveParameters()`
Get the mutually exclusive parameters.
`Set<String>`
BasicHttpServletRequestParametersValidator.`getRequiredParameters()`
Get the required parameters.
`Set<String>`
BasicHttpServletRequestParametersValidator.`getUniqueParameters()`
Get the unique parameters.
`List<HttpServletRequestValidator>`
ChainingHttpServletRequestValidator.`getValidators()`
Get the list of registered validators.

## Uses of Unmodifiable in net.shibboleth.shared.spring.context

Methods in net.shibboleth.shared.spring.context with annotations of type Unmodifiable
Modifier and Type
Method
Description
`protected Collection<String>`
AbstractPropertiesApplicationContextInitializer.`getAdditionalSources(ConfigurableApplicationContext applicationContext, String searchLocation, Properties properties)`
Find out all the additional property files we need to load.

## Uses of Unmodifiable in net.shibboleth.shared.spring.factory

Methods in net.shibboleth.shared.spring.factory with annotations of type Unmodifiable
Modifier and Type
Method
Description
`List<?>`
CombiningListFactoryBean.`getFirstList()`
Set the first list to combine.
`List<?>`
CombiningListFactoryBean.`getSecondList()`
Set the second list to combine.

## Uses of Unmodifiable in net.shibboleth.shared.spring.util

Methods in net.shibboleth.shared.spring.util with annotations of type Unmodifiable
Modifier and Type
Method
Description
`static List<Locale.LanguageRange>`
SpringSupport.`getLanguageRange(HttpServletRequest request)`
Return the `Locale.LanguageRange` associated with this request prepended with the Spring preferred locale.

## Uses of Unmodifiable in net.shibboleth.shared.xml

Methods in net.shibboleth.shared.xml with annotations of type Unmodifiable
Modifier and Type
Method
Description
`static List<String>`
AttributeSupport.`getAttributeValueAsList(Attr attribute)`
Gets the value of a list-type attribute as a list.
`static List<Element>`
ElementSupport.`getChildElements(Node root)`
Gets the child elements of the given element.
`static List<Element>`
ElementSupport.`getChildElements(Node root, QName name)`
Gets the child nodes with the given local tag name.
`static List<Element>`
ElementSupport.`getChildElementsByTagName(Node root, String localName)`
Gets the child nodes with the given local tag name.
`static List<Element>`
ElementSupport.`getChildElementsByTagNameNS(Node root, String namespaceURI, String localName)`
Gets the child nodes with the given namespace qualified tag name.
`static Map<QName,List<Element>>`
ElementSupport.`getIndexedChildElements(Element root)`
Gets the child elements of the given element in a single iteration.

## Uses of Unmodifiable in net.shibboleth.shared.xml.impl

Fields in net.shibboleth.shared.xml.impl with annotations of type Unmodifiable
Modifier and Type
Field
Description
`private Map<String,Object>`
BasicParserPool.`builderAttributes`
Builder attributes.
`private Map<String,Boolean>`
BasicParserPool.`builderFeatures`
Builder features.
Methods in net.shibboleth.shared.xml.impl with annotations of type Unmodifiable
Modifier and Type
Method
Description
`Map<String,Object>`
BasicParserPool.`getBuilderAttributes()`
Gets the builder attributes used when creating builders.
`Map<String,Boolean>`
BasicParserPool.`getBuilderFeatures()`
Gets the builders' features.